(* mclu: Mini Cloud
 * Copyright (C) 2014-2015 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

(* Implement 'mclu destroy'. *)

open Printf

open Utils

let get_arg_speclist () = []

let destroy ~verbose ?host name =
  let node, name = Mclu_list.find_guest ~verbose name in
  let uri = node.Mclu_conf.libvirt_uri in

  let cmd = sprintf "virsh -c %s destroy %s" (quote uri) (quote name) in
  if verbose then printf "%s\n%!" cmd;
  if Sys.command cmd <> 0 then (
    eprintf "mclu: %s: command failed\n" cmd;
    exit 1
  )

let run ~verbose = function
  | [ name ] -> destroy ~verbose name
  | _ ->
    eprintf "Usage: mclu destroy <[host:]name>\n";
    exit 1
