(* mclu: Mini Cloud
 * Copyright (C) 2014-2015 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

val get_arg_speclist : unit -> (Arg.key * Arg.spec * Arg.doc) list

val run : verbose:bool -> string list -> unit

type dom_info = {
  dom_name : string;
  dom_info : Libvirt.Domain.info;
}

val active_guests : ?verbose:bool -> ?nodes:Mclu_conf.node list -> unit -> (Mclu_conf.node * dom_info list) list
(** Return the active (running) guests on each node.

    The optional [?nodes] parameter is the list of nodes to start
    with.  If not passed, then it examines every node.  This parameter
    is useful if you already know which nodes are up, to avoid trying
    to connect to down nodes a second time. *)

val find_guest : ?verbose:bool -> ?nodes:Mclu_conf.node list -> string -> (Mclu_conf.node * string)
(** Resolve the [host:name] or [name] string to the [(node, name)].

    Note this calls {!exit} if the named guest does not exist. *)
