(* mclu: Mini Cloud
 * Copyright (C) 2014-2015 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

val get_arg_speclist : unit -> (Arg.key * Arg.spec * Arg.doc) list

val run : verbose:bool -> string list -> unit

type node_status = {
  node : Mclu_conf.node;
  node_on : bool;               (* true = appears to be switched on *)
  node_info : Libvirt.Connect.node_info;
}

val node_statuses : ?verbose:bool -> ?nodes:Mclu_conf.node list -> unit -> node_status list

type node_guest_summary = {
  node_status : node_status;
  active_guests : Mclu_list.dom_info list;
  used_memory : int64;
  used_vcpus : int;
  free_memory : int64;
}

val node_guest_summary : ?verbose:bool -> unit -> node_guest_summary list
