(* mclu: Mini Cloud
 * Copyright (C) 2014-2015 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

(** Templates. *)

val templates : unit -> (string * string) list
(** Get the list of templates as a list of [name, filename]. *)

val template_names : unit -> string list
(** Get just the list of template names. *)

type template_info = {
  base_image : string;
  guest_arch : string option;
  minimum_memory : int64 option;
  recommended_memory : int64 option;
  minimum_size : int64 option;
  disk_bus : string option;
  network_model : string option;
  has_xml_target : bool;
  needs_external_kernel : bool;
  cmdline : string option;
}

val probe : ?verbose:bool -> string -> template_info
(** Probe the template (filename) for information. *)
