(* mclu: Mini Cloud
 * Copyright (C) 2014-2015 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

(** Miscellaneous utility functions. *)

val (//) : string -> string -> string
val quote : string -> string

val ( +^ ) : int64 -> int64 -> int64
val ( -^ ) : int64 -> int64 -> int64
val ( *^ ) : int64 -> int64 -> int64
val ( /^ ) : int64 -> int64 -> int64
val ( &^ ) : int64 -> int64 -> int64
val ( ~^ ) : int64 -> int64
(** Various int64 operators. *)

val filter_map : ('a -> 'b option) -> 'a list -> 'b list
(** {!List.map} + {!List.filter} *)

val human_size : int64 -> string
(** Turn a bytes count into a human-readable string (eg. [4.0G]). *)

val bytes_of_human_size : string -> int64

val string_of_dom_state : Libvirt.Domain.state -> string

val regexp_of_glob : string -> string
(** Convert glob to regular expression. *)

val string_random8 : unit -> string

val name_parse : string -> string option * string
(** Parse a guest name of either [name] or [node:name] into the parts. *)
